#include <stdio.h>
#include <math.h>

int main(void) {
   char line[100];
   int i;

   while (1) {
      //      scanf ("%[^\n]\n", line);
      fgets (line, 100, stdin);
      if (line[0]=='*') return 0;
      int count=0;
      for (i=0; line[i]!='\0'; i++) {
         char x = toupper (line[i]);
         if (x=='A' || x=='E' || x== 'I' || x=='O' || x=='U') count++;
      }
      printf ("%d\n", count);
   }
   return 0;
}

/*
 * Local Variables:
 * compile-command: "gcc count.c -lm -o count"
 * End:
 */
